Create Skin
Creates the named skin and its resource collections.
The name at the end of the URI determines which skin to create.
Request
URI: /v2/skin/{name}
HTTP Method: POST
Header params:
- Accept:
[application/json] OR [application/xml] - Content-Type:
[application/json] OR [application/xml]
PATH Parameter(s):
- name: The name of the skin item to create.
Response
Success
- XML:
<result message="Action = add_skin" messageKey="Action = add_skin" status="SUCCESS" statusCode="0"><info xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="apiInfoModel" name="skin" value="testskin"/></result> - JSON:
{"statusCode":0,"messageKey":"Action = add_skin", "message":"Action = add_skin", "status":"SUCCESS", "info":[{"name":"skin", "value":"testskin"}]}
Failed
- XML:
<result message="FAIL, skin name cannot start with a "."" messageKey="FAIL, skin name cannot start with a "."" status="FAIL" statusCode="1350" /> - JSON:
{"statusCode":1350,"messageKey":"FAIL, skin name cannot start with a "."", "message":"FAIL, skin name cannot start with a "."", "status":"FAIL", "info":[]}
Permissions
"Develop application"
Example
Request:
POST http://example.corp:8080/LiveContent/v2/skin/{name}
Response:
<result message="Action = add_skin" messageKey="Action = add_skin" status="SUCCESS" statusCode="0"><info xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="apiInfoModel" name="skin" value="testskin"/></result>